@Framed15

Как обновить create-react-app?

Создаю проект, пишет что нужно обновить create-react-app выдаёт вот это:

npx create-react-app my-app

You are running `create-react-app` 5.0.0, which is behind the latest release (5.0.1).

We no longer support global installation of Create React App.

Please remove any global installs with one of the following commands:
- npm uninstall -g create-react-app
- yarn global remove create-react-app

The latest instructions for creating a new app can be found here:
https://create-react-app.dev/docs/getting-started/

Обновлю глобально пишет снова ошибку

npm -g create-react-app

Usage: npm

where is one of:
access, adduser, audit, bin, bugs, c, cache, ci, cit,
clean-install, clean-install-test, completion, config,
create, ddp, dedupe, deprecate, dist-tag, docs, doctor,
edit, explore, fund, get, help, help-search, hook, i, init,
install, install-ci-test, install-test, it, link, list, ln,
login, logout, ls, org, outdated, owner, pack, ping, prefix,
profile, prune, publish, rb, rebuild, repo, restart, root,
run, run-script, s, se, search, set, shrinkwrap, star,
stars, start, stop, t, team, test, token, tst, un,
uninstall, unpublish, unstar, up, update, v, version, view,
whoami

npm -h quick help on
npm -l display full usage info
npm help search for help on
npm help npm involved overview

Specify configs in the ini-formatted file:
/home/dmitry/.npmrc
or on the command line via: npm --key value
Config info can be viewed via: npm help config

npm@6.14.17 /usr/lib/node_modules/npm

Что делать? Помогите пожалуйста
  • Вопрос задан
  • 934 просмотра
Решения вопроса 1
alexey-m-ukolov
@alexey-m-ukolov Куратор тега React
Во-первых, у вас в команде ошибка:
npm install -g create-react-app


Во-вторых, зачем вы снова ставите глобально, если вам написали:
We no longer support global installation of Create React App
Ответ написан
Комментировать
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы